**// You can find me @Tjeb at [ODIN Plus Team Discord](https://discord.com/invite/KKHujtRGvB) //**

![Warfare logo](https://i.imgur.com/16UVvT4.png)

# Presenting the Warfare weapons and armor mod, 58 new weapons, 7 shields, 3 armor sets, 3 capes, 8 arrows, 2 pickaxes, 41 new crafting materials, 4 new gemstones and the Deep North crafting table: Ymir forge!

# This mod is aimed at filling the weapon, armor and material gaps for vanilla Valheim and the unfinished biomes with use of EpicValheimAdditions, also adding a Deep North crafting station and better versions of the Battleaxe and Fenrirclaw weapons.

# Mistlands - Deep North - Ashlands crafting table and recipes won't load if EpicValheimAdditions isn't installed, you can still spawn in the prefabs.

![Warfare showcase1](https://i.imgur.com/nfguy5j.png)
![Warfare showcase2](https://i.imgur.com/pn55J7W.png)
![Warfare showcase3](https://i.imgur.com/vUqYnzT.png)
![Warfare showcase njord](https://i.imgur.com/8mUAF7A.png)
![Warfare showcase surtr](https://i.imgur.com/wF73tVN.png)
![Warfare showcase capes](https://i.imgur.com/1R8rbax.png)
![Warfare showcase armors](https://i.imgur.com/mz2FBbE.png)
![Warfare showcase forge](https://i.imgur.com/b7BR3yw.png)


**--WEAPON PREFABS--**
```
AxeSilver_TW
AxeNjord_TW
AxeSurtr_TW
AtgeirSilver_TW
AtgeirNjord_TW
AtgeirSurtr_TW
BattleaxeBronze_TW
BattleaxeIron_TW
BattleaxeSilver_TW
BattleaxeBlackmetal_TW
BattleaxeNjord_TW
BattleaxeSurtr_TW
BattlehammerIron_TW
BattlehammerSilver_TW
BattlehammerBlackmetal_TW
BattlehammerHeavymetal_TW
BattlehammerNjord_TW
BattlehammerSurtr_TW
BattlehammerAesir_TW <-- Boss item, can only be spawned or dropped by monster if added to table
BowBlackmetal_TW
BowNjord_TW
BowSurtr_TW
BowUllr_TW
GreatbowBlackmetal_TW
GreatbowNjord_TW
GreatClub_TW
ClaymoreBronze_TW
ClaymoreChitin_TW
ClaymoreIron_TW
ClaymoreSilver_TW
ClaymoreBlackmetal_TW
ClaymoreNjord_TW
ClaymoreSurtr_TW
ClaymoreColussus_TW <-- Boss item, can only be spawned or dropped by monster if added to it's table
ClaymoreJotunn_TW <-- Boss item, can only be spawned or dropped by monster if added to it's table
FistSilver_TW
FistBlackmetal_TW
FistHeavymetal_TW
FistNjord_TW
FistSurtr_TW
KnifeIron_TW
KnifeWrench_TW <-- Only spawnable or dropped by monster if added to it's table
KnifeNjord_TW
KnifeSurtr_TW
MaceNjord_TW
MaceSurtr_TW
SpearBlackmetal_TW
SpearNjord_TW
SpearSurtr_TW
SledgeTrollbone_TW
SledgeSilver_TW
SledgeBlackmetal_TW
SledgeNjord_TW
SledgeSurtr_TW
SwordChitin_TW
SwordScimitar_TW
SwordNjord_TW
SwordSurtr_TW
TridentBlackmetal_TW
```
**--SHIELD PREFABS--**
```
ShieldHeavymetalBuckler_TW
ShieldFrometalBuckler_TW
ShieldFlametalBuckler_TW
ShieldNjord_TW
ShieldNjordTower_TW
ShieldSurtr_TW
ShieldSurtrTower_TW
```
**--ARMOR PREFABS--**
```
ROTTEN SET:
HelmetRotten_TW
ArmorRottenChest_TW
ArmorRottenLegs_TW
CapeRotten_TW

LOX SET:
HelmetLox_TW
ArmorLoxChest_TW
ArmorLoxLegs_TW

HUNTSMAN SET:
HelmetHuntsman_TW
ArmorHuntsmanChest_TW
ArmorHuntsmanLegs_TW

```
**--CAPE PREFABS--**
```
CapeArcticLox_TW
CapeArcticWolf_TW
CapeAshenScale_TW
```
**--ARROW PREFABS--**
```
ArrowExplosiveFire_TW
ArrowExplosiveFrost_TW
ArrowExplosiveLightning_TW
ArrowExplosivePoison_TW
ArrowFlametal_TW
ArrowFrometal_TW
ArrowPickaxe_TW
ArrowBone_TW
```
**--PICKAXE PREFABS--**
```
PickaxeSilver_TW
PickaxeBlackmetal_TW
```
**--MATERIAL PREFABS--**
```
AncientHeart_TW
ArachnidSilk_TW
ArachnidOoze_TW
ArcticLoxPelt_TW
ArcticWolfPelt_TW
ArcticSerpentScale_TW
AshenClaw_TW
AshenScale_TW
AshenFur_TW
AshenFang_TW
DarkCrystal_TW
FreyjaEssence_TW
FrozenFang_TW
FrozenClaw_TW
FrozenFragments_TW
FrozenOrb_TW
GoblinScraps_TW
JotunnTooth_TW
LavaGem_TW
LoxBone_TW
QueenJewel_TW
RottenPelt_TW
ScorchedFragments_TW
SmolderingCore_TW
SvartalfrEye_TW
SvartalfrFabric_TW
SvartalfrArtifact_TW
TrollBone_TW
VenomousFang_TW
VolcanicStone_TW

RUNES:
RuneAlgiz_TW
RuneBer_TW
RuneDagaz_TW
RuneEihwaz_TW
RuneFehu_TW
RuneJara_TW
RuneMannaz_TW
RuneOthala_TW
RunePerth_TW
RuneRaidho_TW
RuneThurisaz_TW

NEW GEMSTONES TO SELL OR CRAFT WITH:
Amethyst_TW - 30 gold coins
Emerald_TW  - 45 gold coins
Sapphire_TW - 60 gold coins
Topaz_TW    - 80 gold coins
Onyx_TW  - 100 gold coins
```
**--YMIR FORGE PREFABS--**
```
YmirForge_TW
YmirForge_ext1_TW
YmirForge_ext2_TW
YmirForge_ext3_TW
YmirForge_ext4_TW
```
Over time I will add more custom weapons, materials and armor. Stay tuned for updates!

<h2>  MANUAL INSTALL: </h2>

Download and install the latest copy of Bepinex.

Download and install the latest copy of DropThat if you want to start using the new added materials, there's a DropThat config and DropTableWarfare for vanilla monsters, put these in your config folder.

Download and install the latest copy of WackyDatabase to disable the EVA weapons and shields for Ashlands and Deep North, drop the Wackydatabase config folder that comes with the mod in your config folder.

Place the Warfare.dll plugin inside of the "Bepinex\plugins" folder.

<h2>  INSTALL NOTES: </h2>

This mod is **INCOMPATIBLE** with Terraheim and will **NOT** load if Terraheim is detected!

The mod loads all prefabs but will not load the Mistlands-Deep North-Ashlands craft recipes if EpicValheimAdditions is not installed.

You will need to setup DropThat configs with the new crafting materials added by this mod or adjust the recipes to materials of your own liking in the Therzie.Warfare.cfg found in your config folder.

https://valheim.thunderstore.io/package/ASharpPen/Drop_That/

You will need to have WackyDatabase to disable EVA weapons and shields from Deep North and Ashlands.

https://valheim.thunderstore.io/package/WackyMole/WackysDatabase/

<h2>  RECIPE ERROR ON UPDATE: </h2>

Delete the Therzie.Warfare.cfg file in your BepInEx/config/ folder and restart the game to generate a new one.

Be sure to backup your Therzie.Warfare.cfg file if you have made adjustments, delete the original .cfg and put back the values you have edited.

<h2>  CREDITS: </h2>

HUGE shoutout @CookieMilk who has been supporting me all the way in making this mod!

@Azumatt who has been having to put up with my code questions the entire project!

Everyone else who helped me out in the OdinPlus discord <3

## Changelog
### V1.1.3
* Serversync update fix part 2
* Fixed more WackyDatabase files, changed Alchemystation to Dark Forge and re-asigned all Heavymetal recipes to it
* Fixed a crucial typo in DropThat tables, please delete the drop_that.character_drop.WarfareVanilla -copy.cfg file if you downloaded Warfare 1.1.2

### V1.1.2
* Serversync update fix
* Added WackyDatabase as dependency
* Fixed WB files, disabled Battleaxe and FistFenrirClaw vanilla prefabs
* Added DropThat loot table configs to EVA bosses

### V1.1.1
* Fixed previous recipe errors and made lots of changes in prefabs and recipes, **recommended to delete your Therzie.Warfare.cfg file and let the mod generate a new .cfg file when you update!**
* Added Surtr weapons and shields for the Ashlands biome
* Changed Njord set from spirit based damage to frost for the Deep North biome
* Added Ullr's bow, Njord greatbow and Ashen claw material
* Removed Flametal+Frometal battlehammer and claws
* Changed Huntsman set to Ullr set
* Added new WackyDatabase update that will remove Flametal+Frometal+DeepAbyss weapons and shields from the EpicValheimAdditions mod, credits to @Majestic as always!

### V1.1.0
* Replaced AshenCore_TW with SmolderingCore_TW
* Added more mesh fixes
* Fixed the blur particle shader on items

### V1.0.61
* Fixed more missing meshes on materials and missing FX/SFX/VFX, somehow a lot of them got corrupted
* Added a DropThat config + Warfare DropThat table for Vanilla content and updated the WackyDatabase folder. All credits to @Majestic! 
* Added DropThat dependency

### V1.0.6
* Added 3 new unique armor sets, I haven't mastered armor rigging yet so I've kept em simple
* Fixed some missing meshes on materials
* Added Crossplay support

### V1.0.5
* Attempt at fixing dedicated server connection issues with Warfare mod
* Added Wackydatabase folder with all items my mod provides for those interested in altering stats or adding custom clone materials to recipes, all credits to @Majestic for putting in the effort!
* Added 5 new shields 
* Added 3 new capes
* Fixed unintended sell values on some materials

### V1.0.4
* Fixed spear, trident and arrows projectile multiplayer sync

### V1.0.3
* Fixed the following weapon stats: durability, block armor and stamina usage, all are now updated to follow Valheim stat tier levels
* Added Silver battleaxe 
* Redone old icons and textures

### V1.0.2
* Fixed some small bugs and typos that I missed with previous update
* Changed Diamond to Onyx to fit the Jewelcrafting mod gem colors

### V1.0.1
* Recipes for Mistlands - Deep North - Ashlands content will no longer load if EpicValheimAdditions is not detected on load, weapon prefab can still be spawned through console. Thank you @Azumatt, @Jere for helping me with this!
* Added the Njord weapon tier, this is a spirit damage weapon set that can be crafted in the Deep North
* Added 14 new crafting materials: Rotten pelt - Troll bone - Frozen orb - 11 magical runes
* Added Great Club, this is a two handed club mace for the Meadow tier
* Fixed JotunnTooth and QueenJewel material auto pickup
* Fixed Trollbone sledgehammer recipe
* Fixed recipes requiring items from other mods (except EVA)
* Fixed capitals in prefabnames and readme

<h2>  SUPPORT: </h2>

Like my work? All support is appreciated!
paypal.me/TherzieWarfare

Looking to get a custom weapon/shield made? Be sure to contact me, I am open to commissions.
 
**Do you have feedback regarding this mod?**
<br> 
**Let me know over at the Discord!**

